Understanding version dependencies between Rational TestManager, Robot, RequisitePro, and ClearQuest

Technote (FAQ)


Question

What are the version dependencies for coexistance and integration between 7.0.2 - 7.0.3 versioned products such as IBM Rational Robot and IBM Rational TestManager and 7.1.1 - 7.1.2 versioned products such as IBM Rational RequisitePro and IBM Rational ClearQuest?

Cause

IBM Installation Manager enforces the required version dependencies and throws an error if you try to install (or update to) an incompatible version combination.

You want to understand:

  • which product versions can integrate with each other so that you can plan your installation and upgrades
  • what versions should be used to migrate from Rational TestManager to Rational Quality Manager while maintaining integration with Rational RequisitePro and or Rational ClearQuest?

Answer

The following information applies to Rational TestManager (TM), Rational Robot, Rational ClearQuest (CQ), and Rational RequisitePro (ReqPro):

  • TM and Robot are concurrent releases.
    You must match the version number between these products.

  • CQ and ReqPro are concurrent releases.
    You must match the version number between these products.

  • TM and Robot 7.0.2 and CQ/ReqPro 7.1.1 are aligned releases.
    Each 7.0.2.n release can coexist and integrate only with 7.1.1.n (the value of n must match).

  • Robot 7.0.3 and CQ/ReqPro 7.1.2 are aligned releases.
    Each 7.0.3.m release can coexist and integrate only with 7.1.1.n (the value of n must match).

  • There is currently no version of Robot which can coexist with ReqPro 7.1.3 / CQ 8.0.

TM has been declared EOL (end of life) and has been replaced with Rational Quality Manager (RQM). For more information, see 1375824: Effective April 30, 2009, Rational TestManager will no longer be available for download. Therefore:
  • The last version of TM was 7.0.2.2, which aligns with ReqPro and CQ 7.1.1.2.
    You must remove TM from your machine before upgrading or installing any version of CQ and ReqPro 7.1.1.3 or above.

  • You must remove TM from you machine before upgrading or installing 7.0.3.x or 7.1.2.x products. You must therefore complete the migration of your data from TM to RQM before you upgrade to 7.0.3.x - 7.1.2.x products.

  • ReqPro client 7.1.1.2 can be used to connect to any 7.1.1.x ReqPro server server, so for the purposes of migrating from TM to RQM 3.x you can upgrade your ReqPro server to 7.1.1.5 or above (as required by RQM 3.0.1.x) while keeping your ReqPro client at 7.1.1.2 (as required by TM).

Cross reference information
Segment Product Component Platform Version Edition
Software Development Rational Robot Integrations: IBM Windows 7.0.2, 7.0.2.1, 7.0.2.2, 7.0.2.3, 7.0.3, 7.0.3.1, 7.0.3.2, 7.0.3.3, 7.0.3.4, 7.0.3.5, 7.0.3.6, 7.0.3.7, 7.0.3.8, 7.0.3.9
Software Development Rational RequisitePro Integrations: IBM Windows 7.1.1, 7.1.1.1, 7.1.1.2, 7.1.1.3, 7.1.1.4, 7.1.1.5, 7.1.1.6, 7.1.1.7, 7.1.1.8, 7.1.1.9, 7.1.2, 7.1.2.1, 7.1.2.10, 7.1.2.2, 7.1.2.3, 7.1.2.4, 7.1.2.5, 7.1.2.6, 7.1.2.7, 7.1.2.8, 7.1.2.9, 7.1.3, 7.1.3.1, 7.1.3.2, 7.1.3.3, 7.1.3.4, 7.1.3.5, 7.1.3.6 All Editions
Software Development Rational ClearQuest Integrations: IBM Windows 7.1.1, 7.1.1.1, 7.1.1.2, 7.1.1.3, 7.1.1.4, 7.1.1.5, 7.1.1.6, 7.1.1.7, 7.1.1.8, 7.1.1.9, 7.1.2, 7.1.2.1, 7.1.2.2, 7.1.2.3, 7.1.2.4, 7.1.2.5, 7.1.2.6, 7.1.2.7, 7.1.2.8, 7.1.2.9, 8.0, 8.0.0.1, 8.0.0.2, 8.0.0.3, 8.0.0.4, 8.0.0.5 All Editions
Software Development Rational Quality Manager Integrations: IBM AIX, Linux, Windows 3.0.1, 3.0.1.1, 3.0.1.2, 3.0.1.3, 3.0.1.4, 3.0.1.5, 4.0, 4.0.0.1, 4.0.1

Rate this page:

(0 users)Average rating

Document information


More support for:

Rational TestManager
Integrations: IBM

Software version:

7.0.2, 7.0.2.1, 7.0.2.2

Operating system(s):

Windows

Reference #:

1622130

Modified date:

2013-01-11

Translate my page

Machine Translation

Content navigation